## org.apache.taglibs.standard.tag.rt.fmt
Class MessageTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.fmt.MessageSupport
                  org.apache.taglibs.standard.tag.rt.fmt.MessageTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

    public class MessageTag

extends MessageSupport

A handler for <message> that supports rtexprvalue-based attributes.

Author:
  Jan Luehe
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.fmt.MessageSupport
`bundleAttrValue, bundleSpecified, keyAttrValue, keySpecified, UNDEFINED_KEY`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`MessageTag()`

Method Summary
`void` `setBundle(LocalizationContext locCtxt)`
`void` `setKey(String key)`

Methods inherited from class org.apache.taglibs.standard.tag.common.fmt.MessageSupport
`addParam, doEndTag, doStartTag, release, setScope, setVar`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### MessageTag

    public MessageTag()

Method Detail

### setKey

    public void setKey(String key)
                throws JspTagException

  Throws:
    `JspTagException`

### setBundle

    public void setBundle(LocalizationContext locCtxt)
                   throws JspTagException

  Throws:
    `JspTagException`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.